lcfliste = Turbine.UI.Lotro.Window();--Déclaration plus haut pour récupérer partout
lcfliste.SaisieListe = Turbine.UI.ListBox();--Déclaration plus haut pour récupérer partout
lcfliste.supp= Turbine.UI.Lotro.Button();--Déclaration plus haut pour récupérer partout

-- ScrollBar de l'Affichage

lcfliste.ScrollBar = Turbine.UI.Lotro.ScrollBar();
lcfliste.ScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
lcfliste.ScrollBar:SetParent(lcfliste);
lcfliste.ScrollBar:SetPosition(440,130);
lcfliste.ScrollBar:SetSize(10,270);
	
function listeMotsBan()
	
	lcfliste:SetSize(500,500);
	lcfliste:SetPosition(lcf:GetLeft(),lcf:GetTop());
	lcfliste:SetText("Liste des mots bannis");
	lcfliste:SetVisible(true);
	lcfliste.Closing= function()
		lcf:SetPosition(lcfliste:GetLeft(),lcfliste:GetTop());
		lcf:SetVisible(true);
	end
	
	lcfliste.app = Turbine.UI.Lotro.Button();
	lcfliste.app:SetParent(lcfliste);
	lcfliste.app:SetPosition(150, 425);
	lcfliste.app:SetSize(200, 20);
	lcfliste.app:SetText("Appliquer");
	lcfliste.app:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	lcfliste.app.Click = function()
		saveMots();
		lcfliste:SetVisible(false);
		lcf:SetPosition(lcfliste:GetLeft(),lcfliste:GetTop());
		lcf:SetVisible(true);
	end
	lcfliste.app.MouseEnter = function()
		info("appliquer 2");
	end
	lcfliste.app.MouseLeave =function()
		info(0);
	end
	
	
	--ajout
	lcfliste.SaisieLabel = Turbine.UI.Label();
	lcfliste.SaisieLabel:SetParent(lcfliste);
	lcfliste.SaisieLabel:SetText("Ajouter un élément à filtrer");
	lcfliste.SaisieLabel:SetPosition(50,50);
	lcfliste.SaisieLabel:SetSize(300,15);
	lcfliste.SaisieLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	lcfliste.SaisieLabel:SetForeColor(Turbine.UI.Color(0.8, 0.75, 0.5));
	
	lcfliste.SaisieTextbox = Turbine.UI.Lotro.TextBox();
	lcfliste.SaisieTextbox:SetParent(lcfliste);
	lcfliste.SaisieTextbox:SetPosition(50,75);
	lcfliste.SaisieTextbox:SetSize(280,20);
	lcfliste.SaisieTextbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	lcfliste.SaisieTextbox:SetForeColor(Turbine.UI.Color(0.8, 0.75, 0.5));
	lcfliste.SaisieTextbox:SetBackColor(Turbine.UI.Color(0, 0, 0));
	lcfliste.SaisieTextbox:SetMultiline(false);
	lcfliste.SaisieTextbox.MouseEnter = function()
		info("textbox");
	end
	lcfliste.SaisieTextbox.MouseLeave = function()
		info(0);
	end
	
	lcfliste.SaisieAdd = Turbine.UI.Lotro.Button();
	lcfliste.SaisieAdd:SetParent(lcfliste);
	lcfliste.SaisieAdd:SetPosition(350,75);
	lcfliste.SaisieAdd:SetSize(100,20);
	lcfliste.SaisieAdd:SetText("Ajouter");
	lcfliste.SaisieAdd:SetForeColor(Turbine.UI.Color(0.8, 0.75, 0.5));
	lcfliste.SaisieAdd.Click = function()
		ajoutMots();
	end

	-- Affichage
	lcfliste.SaisieLabel = Turbine.UI.Label();
	lcfliste.SaisieLabel:SetParent(lcfliste);
	lcfliste.SaisieLabel:SetText("Liste des mots, phrases ou pseudo à filtrer");
	lcfliste.SaisieLabel:SetPosition(50,105);
	lcfliste.SaisieLabel:SetSize(300,15);
	lcfliste.SaisieLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	lcfliste.SaisieLabel:SetForeColor(Turbine.UI.Color(0.8, 0.75, 0.5));
	
	lcfliste.SaisieListe:SetParent(lcfliste);
	lcfliste.SaisieListe:SetSize(390,270);
	lcfliste.SaisieListe:SetPosition(50,130);
	lcfliste.SaisieListe:SetBackColor( Turbine.UI.Color(0,0,0));
	lcfliste.SaisieListe:SetVerticalScrollBar(lcfliste.ScrollBar);
	lcfliste.SaisieListe:ClearItems();
	lcfliste.SaisieListe.MouseEnter = function()
		info("listebox");
	end
	lcfliste.SaisieListe.MouseLeave = function()
		info(0);
	end
	
	for i=1,table.getn(listeBan)
	do
		local item = Turbine.UI.Label();
		item:SetSize(390,14);
		item:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
		item:SetForeColor(Turbine.UI.Color(0,1,0));
		item:SetBackColor(Turbine.UI.Color(0, 0, 0));
		item:SetText(listeBan[i]);
		lcfliste.SaisieListe:AddItem(item);
	end
	
	--Suppression de mot
	lcfliste.supp:SetParent(lcfliste);
	lcfliste.supp:SetPosition(350,105);
	lcfliste.supp:SetSize(100,20);
	lcfliste.supp:SetText("Supprimer");
	lcfliste.supp:SetEnabled(false);
	lcfliste.supp.Click = function()
		lcfliste.SaisieListe:RemoveItem(lcfliste.SaisieListe:GetSelectedItem());
		lcfliste.supp:SetEnabled(false);
	end	
end

function ajoutMots()
	if lcfliste.SaisieTextbox:GetText()~="" then
		local item = Turbine.UI.Label();
		item:SetSize(390,14);
		item:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
		item:SetForeColor(Turbine.UI.Color(1,0,0));
		item:SetBackColor(Turbine.UI.Color(0, 0, 0));
		item:SetText(lcfliste.SaisieTextbox:GetText());
		lcfliste.SaisieListe:AddItem(item);
		lcfliste.SaisieTextbox:SetText("");
	else
		Turbine.Shell.WriteLine("Il est impossible d'ajouter une valeur vide. Filtrer le vide est impossible...");
	end
end

function saveMots()
	
	settingsMot={};--para mot
	table.remove(listeBan);--Nettoyage
	settingsMot.Nombre=tostring(lcfliste.SaisieListe:GetItemCount());
	for i=1,lcfliste.SaisieListe:GetItemCount()
	do
		temp=lcfliste.SaisieListe:GetItem(i);
		settingsMot[tostring(i)]=temp:GetText();
		listeBan[i]=temp:GetText();
	end
	
	Turbine.PluginData.Save(Turbine.DataScope.Character, "lcfMot", settingsMot);--save mot ban
	
end

function chargeMots()
	settingsMot=Turbine.PluginData.Load(Turbine.DataScope.Character, "lcfMot");
	if settingsMot==nil then
		settingsMot={};
	else
		for i=1,settingsMot.Nombre
		do
			listeBan[i]=settingsMot[tostring(i)];
		end
	end
end

-- Selection

lcfliste.SaisieListe.SelectedIndexChanged = function()
	for i=1,lcfliste.SaisieListe:GetItemCount()
	do
		temp1=lcfliste.SaisieListe:GetItem(i);
		temp1:SetBackColor(Turbine.UI.Color(0, 0, 0));
	end
		temp2=lcfliste.SaisieListe:GetSelectedItem();
		temp2:SetBackColor(Turbine.UI.Color(0, 0, 1));
		lcfliste.supp:SetEnabled(true);
end